> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Movements

**`v2`** · Base URL `https://api.fintoc.com/v2`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api-v2.json GET /accounts/{account_id}/movements
openapi: 3.1.0
info:
  title: fintoc-api-v2
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v2
security:
  - sec0: []
paths:
  /accounts/{account_id}/movements:
    get:
      summary: List Movements
      operationId: list-movements
      parameters:
        - name: starting_after
          in: query
          description: >-
            A cursor to use in pagination. `starting_after` is a movement ID
            that defines your place in the list. For example, if you make a list
            request and receive 300 movements, ending with `mov_foo`, your
            subsequent call can include `starting_after=mov_foo` to fetch the
            next page of the list.
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            A cursor to use in pagination. `ending_before` is a movement ID that
            defines your place in the list. For example, if you make a list
            request and receive 300 movements, starting with `mov_bar`, your
            subsequent call can include `ending_before=mov_bar` to fetch the
            previous page of the list.
          schema:
            type: string
        - name: since
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only Movements
            with `post_date` equal or after `since`.
          schema:
            type: string
        - name: until
          in: query
          description: >-
            Date using <<glossary:ISO 8601>>. If present, return only Movements
            with `post_date` before `until` (exclusive).
          schema:
            type: string
        - name: resource_id
          in: query
          description: Find a movement by the related resource_id
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            limit on the number of objects to return per page, ranging between 1
            and 300.
          schema:
            type: string
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
        - name: account_id
          in: path
          required: true
          description: The id of the Account you wish to list movements of.
          schema:
            type: string
            default: ''
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization

````